Deep Security Manager REST API

Path: / rest / monitoring / usages / jvm

List Java Virtual Machine statistics.


Method Summary
ResourceDescription
GET /rest/monitoring/usages/jvm?managerNodeID=…&from=…&to=…&sID=…List Java Virtual Machine statistics.

Method Detail
HTTP Example:
GET /rest/monitoring/usages/jvm?managerNodeID=…&from=…&to=…&sID=…

API Example:

IMonitoringAPI.listJvmUsage({'managerNodeID': /* managerNodeID the ID of the manager node to retrieve the usage information for. */,
  'from': /* from The date from which to list the usage statistics. */,
  'to': /* to The date up to which to gather the usage. */,
  'sID': /* sID the session identifier. */});

List Java Virtual Machine statistics.

Output:
JVMUsageListing - The requested virtual machine statistics.
Query parameters:
managerNodeID - the ID of the manager node to retrieve the usage information for. If not set, usage information for all manager nodes is retrieved.
from - The date from which to list the usage statistics. If not set, then a time of one hour ago is used.
to - The date up to which to gather the usage. If not set, the current time is used.
sID - the session identifier. This must belong to an administrator from the primary tenant.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.